import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:memorias_calculo/src/back/models/proyectos_model.dart';


class ProyectosProvider{
  final _url = "smart.solerpalau.mx";
  final ProyectosModel _proyectosModel = ProyectosModel(
      result: [],
      response: false,
      message: "no-data"
  );

  Future<ProyectosModel> fetchProyectos(String idUsuario, String memoria, String token) async{
    final url = Uri.https(_url, "QA/api/v1/quiosco/matrizMemoriasCalculo/obtenerProyectos");
    final res = await http.post(url,
        headers: {
          "Authorization" : "Bearer $token"
        },
        body: {
          "IDUSUARIO" : idUsuario,
          "MEMORIA" : memoria
        }
    );

    //print(res.body);
    final decoded = jsonDecode(res.body);
    if(!decoded['response']){
      _proyectosModel.message = decoded['message'];
      return _proyectosModel;
    }else{
      final proyectos = ProyectosModel.fromJson(decoded);
      return proyectos;
    }
  }
}